=== debian/changelog ===
node-dashdash (1.14.1-2) unstable; urgency=medium

  * Set TZ=UTC to make tests pass everywhere (Closes: #890141)
  * Enable nocheck build profile
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Change section to javascript

 -- Pirate Praveen <praveen@debian.org>  Wed, 19 Sep 2018 17:29:39 +0530

node-dashdash (1.14.1-1) unstable; urgency=low

  * Initial release (Closes: #861679)

 -- Pirate Praveen <praveen@debian.org>  Tue, 02 May 2017 22:21:11 +0530
