=== debian/control ===
Source: node-dashdash
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 11~)
 , nodejs
 , nodeunit <!nocheck>
 , node-assert-plus (>= 1.0~) <!nocheck>
Standards-Version: 4.2.1
Homepage: https://github.com/trentm/node-dashdash#readme
Vcs-Git: https://salsa.debian.org/js-team/node-dashdash.git
Vcs-Browser: https://salsa.debian.org/js-team/node-dashdash

Package: node-dashdash
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-assert-plus (>= 1.0~)
Description: light, featureful and explicit option parsing library
 The author of the library gives this rationale: the other option parsing
 libraries are one of too loosey goosey (not explicit), too big/too many deps,
 or ill specified.
 .
 This library is a dependency for sshpk, a library to parse, convert,
 fingerprint and use SSH keys (both public and private) in pure nodejs.
 .
 Node.js is an event-based server-side JavaScript engine.
