=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export TZ=UTC

%:
	dh $@

#override_dh_auto_build:

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	nodeunit test/*.test.js
endif
