=== debian/tests/control ===
Tests: require
Depends: node-dashdash

Test-Command: nodeunit test/*.test.js
Depends: @, nodeunit
