=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-dashdash-$1.tar.gz/ \
 https://github.com/trentm/node-dashdash/tags .*/archive/v?([\d\.]+).tar.gz
