=== debian/changelog ===
node-dashdash (2.0.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-dashdash: Add Multi-Arch: foreign.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 01:21:41 +0000

node-dashdash (2.0.0-3) unstable; urgency=medium

  * Team upload
  * Fix test for tap >= 15 (--no-cov) (Closes: #1009570)

 -- Yadd <yadd@debian.org>  Mon, 18 Apr 2022 08:04:41 +0200

node-dashdash (2.0.0-2) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle

 -- Yadd <yadd@debian.org>  Tue, 09 Nov 2021 12:23:56 +0100

node-dashdash (2.0.0-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Use dh-sequence-nodejs
  * New upstream version 2.0.0
  * Update copyright
  * Drop useless patch
  * Update test (use tap instead of nodeunit)
  * Install examples

 -- Xavier Guimard <yadd@debian.org>  Wed, 02 Dec 2020 11:25:31 +0100

node-dashdash (1.14.1-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Use pkg-js-tools auto test & install
  * Fix copyright

 -- Xavier Guimard <yadd@debian.org>  Tue, 05 May 2020 11:38:47 +0200
