=== debian/control ===
Source: node-dashdash
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-assert-plus <!nocheck>
 , node-tap <!nocheck>
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-dashdash
Vcs-Git: https://salsa.debian.org/js-team/node-dashdash.git
Homepage: https://github.com/trentm/node-dashdash
Rules-Requires-Root: no

Package: node-dashdash
Architecture: all
Depends: ${misc:Depends}
 , node-assert-plus
Multi-Arch: foreign
Description: light, featureful and explicit option parsing library
 The author of the library gives this rationale: the other option parsing
 libraries are one of too loosey goosey (not explicit), too big/too many deps,
 or ill specified.
 .
 This library is a dependency for sshpk, a library to parse, convert,
 fingerprint and use SSH keys (both public and private) in pure nodejs.
 .
 Node.js is an event-based server-side JavaScript engine.
