=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export TZ=UTC

%:
	dh $@
