=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-dashdash-$1/ \
 https://github.com/trentm/node-dashdash/tags .*/archive/.*/v?([\d\.]+).tar.gz
